package us.blanshard.stubout.ext.cglib;

import org.jmock.cglib.MockObjectTestCase;

import us.blanshard.stubout.ReloadableTest;
import us.blanshard.stubout.Stubber;


/**
 * A subclass of jMock's MockObjectTestCase (the cglib version) that lets you stub out
 * classes and methods in addition to using jMock.
 * 
 * @author Luke Blanshard
 */
public class StubbingMockObjectTestCase extends MockObjectTestCase implements ReloadableTest
{
    public StubbingMockObjectTestCase() {
    }

    public void beforeReloading() {
    }

    public void runBare() throws Throwable {
        Stubber.reloadAndRun(this);
    }

    public void runBareTest( String name ) throws Throwable {
        setName(name);
        super.runBare();
    }
}
