package us.blanshard.stubout.ext;

import us.blanshard.stubout.ReloadableTest;
import us.blanshard.stubout.Stubber;
import net.sf.jdummy.JDummyTestCase;


/**
 * A subclass of jDummy's JDummyTestCase that lets you stub out classes and methods in
 * addition to using jDummy.
 * 
 * @author Luke Blanshard
 */
public class StubbingJDummyTestCase extends JDummyTestCase implements ReloadableTest
{
    public StubbingJDummyTestCase() {
    }

    public void beforeReloading() {
    }

    public void runBare() throws Throwable {
        Stubber.reloadAndRun(this);
    }

    public void runBareTest( String name ) throws Throwable {
        setName(name);
        super.runBare();
    }
}
